Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Get a product

GET/products/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Product ID or slug
Responses
200Product entity
_linksHalLinks
idinteger
namestring
Product display name.
slugstring
class_namestring
statusstring
Allowed:visiblehidden
descriptionstring
short_descriptionstring
is_bundleboolean
is_deliverableboolean
has_optionsboolean
tagsstring[]
currency_codestring
bundle_price_modestring
Allowed:pricesum
bundle_discountnumber
regular_pricenumber
In cents
pricenumber
Effective price in cents
sale_pricenumber
In cents
sale_price_starts_atstring<date-time>
sale_price_ends_atstring<date-time>
has_multiple_pricesboolean
discount_percentagenumber
safety_stockinteger
availableboolean
stockinteger
Current stock
online_stockinteger
all_stockinteger
Stock across all locations
vendorstring
variant_optionsobject[]
Show properties
Array of object
namestring
valuestring
global_tagsstring[]
stocksobject
stocks_per_locationobject
cart_max_quantityinteger
cart_quantity_multipleinteger
list_pricesobject[]
Show properties
Array of object
price_list_idinteger
pricenumber
created_onstring<date-time>
updated_onstring<date-time>
403Access denied (hidden product of another account)
404Product not found
Request
curl -X GET "https://api.onbolder.com/v2/products/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": 101,
  "name": "Wireless Headphones",
  "slug": "wireless-headphones",
  "status": "visible",
  "regular_price": 11999,
  "sale_price": 8999,
  "price": 8999,
  "currency_code": "USD",
  "description": "Premium wireless headphones with noise cancellation.",
  "tags": [
    "electronics",
    "audio"
  ],
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/products/101"
    },
    "products:update": {
      "href": "https://api.onbolder.com/v2/products/101",
      "method": "put"
    },
    "products:delete": {
      "href": "https://api.onbolder.com/v2/products/101",
      "method": "delete"
    }
  }
}